export interface Consultation {
  id: number
  encounter_id: number
  date?: string
  unit_id: number
  doctor_id?: number
  problem: string
  solution?: string
  repliedAt?: string
}

export interface CreateDto {
  encounter_id: number
  date: string
  problem: string
  dstUnit_id: number
}

export interface UpdateDto {
  id: number
  problem: string
  unit_id: number
}

export interface DeleteDto {
  id: number
}

export function genCreateDto(): CreateDto {
  return {
    encounter_id: 0,
    problem: '',
    unit_id: 0,
  }
}

export function genConsultation(): Consultation {
  return {
    id: 0,
    encounter_id: 0,
    unit_id: 0,
    doctor_id: 0,
    problem: '',
    solution: '',
    repliedAt: '',
  }
}
